Changeset 3da3afe


Ignore:
Timestamp:
Feb 24, 2009, 11:48:13 PM (12 years ago)
Author:
Sam Hartman <hartmans@debian.org>
Branches:
master, debian, release-1.4, release-1.5, release-1.6, release-1.7, release-1.8, release-1.9
Children:
b5fe6d2
Parents:
64638d9
git-author:
Sam Hartman <hartmans@mit.edu> (02/24/09 23:15:58)
git-committer:
Sam Hartman <hartmans@debian.org> (02/24/09 23:48:13)
Message:
Remove unneeded dependency on krb5 and krb4

Barnowl links against libkrb4, libk5crypto and libkrb5 and uses
symbols from none of the above.  Remove these link-time dependencies.
  This might break static builds but Kerberos no longer provides static libraries.

The dependency on libkrb4 is problematic for Debian as libkrb4.so is being removed.
File:
1 edited

Legend:

Unmodified
Added
Removed
  • configure.ac

    r53d4634 r3da3afe  
    5757AC_CHECK_LIB(nsl, gethostbyname)
    5858AC_CHECK_LIB(socket, socket)
    59 AC_CHECK_LIB(k5crypto, krb5_derive_key)
    6059dnl AC_CHECK_LIB(des425, req_act_vno)
    6160AC_CHECK_LIB(des425, des_cbc_encrypt)
    6261AC_CHECK_LIB(resolv, res_search)
    63 AC_CHECK_LIB(krb5, krb5_get_credentials)
    64 AC_CHECK_LIB(krb4, krb_sendauth,,
    65    AC_CHECK_LIB(krb, krb_sendauth))
    6662dnl AC_CHECK_LIB(zephyr, ZGetSender,, AC_MSG_ERROR(No zephyr library found.))
    6763AC_CHECK_LIB(zephyr, ZGetSender)
Note: See TracChangeset for help on using the changeset viewer.